# Set-RASCustomPermission.md

## NAME

Set-RASCustomPermission

## SYNOPSIS

Modifies the permissions of a RAS custom admin account.

## SYNTAX

\*\*Set-RASCustomPermission \[[AdminId](#adminid-string)] *(uint)* -[ObjectType](#ObjectType) {SecureGateways | Gateways | RemotePCs | Brokers | PublishingAgents | RDSHostPools | RDSHGroups | HALB | WinDevices | Themes | Publishing | Certificate | CustomRoutes | Monitoring | Reporting | License | Connection | AVD | AppPackages | ManageSessionsByADGroups} -[Permissions](#Permissions) {None | View | Modify | ManageSessions | Add | Delete | Control} \[[ObjId](#objid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the permissions of a RAS custom admin account.

## PARAMETERS

## AdminId (uint)

Admin ID to modify the specified RAS Custom Administrator Account.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjId (uint)

ID of a particular RAS Farm object to assign permissions for.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjectType

([PermissionObjectType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/permissionobjecttype.md)) Permission Type.

Possible values: SecureGateways, Gateways, RemotePCs, Brokers, PublishingAgents, RDSHostPools, RDSHGroups, HALB, WinDevices, Themes, Publishing, Certificate, CustomRoutes, Monitoring, Reporting, License, Connection, AVD, AppPackages, ManageSessionsByADGroups

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Permissions ([PermissionFlags](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/permissionflags.md))

A set of permissions to assign. To form a set of permissions 'OR' individual permission enum IDs.

Possible values: None, View, Modify, ManageSessions, Add, Delete, Control

```
        Required?                    true

        Position?                    named

        Default value                None

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASCustomPermission -AdminId 100 -ObjectType RDSHosts -Permissions View,Modify -SiteId 1

Modifies the permissions of the custom administrator with Id 100, to View and Modify all RDSHosts within the Site with Id 1.\
\*\*---------- EXAMPLE 2 ----------

Set-RASCustomPermission -AdminId 100 -ObjectType RDSHosts -Permissions View,Modify -SiteId 1 -ObjId 10

Modifies the permissions of the custom administrator with Id 100, to View and Modify the RDSHost Object with Id 10, within the Site with Id 1.

## RELATED LINKS

* [Get-RASCustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustompermission.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Set-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md)
* [Remove-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustompermission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
